www.cendio.com
Bug 7385 - Web Access scroll bars missing on Windows with touch
: Web Access scroll bars missing on Windows with touch
Status: CLOSED FIXED
: ThinLinc
Web Access
: trunk
: PC Unknown
: P2 Normal
: 4.11.0
Assigned To:
:
:
: 7365
:
  Show dependency treegraph
 
Reported: 2019-10-08 10:12 by
Modified: 2019-10-22 14:19 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2019-10-08 10:12:42
When a session is larger than your browser window, scroll bars are supposed to
be shown so you can easily pan around the session. However this fails to happen
on Windows if the device has touch support.

It turns out we made a bad assumption when we tried to improve support for
Android and iOS. On those platforms the scroll bars are invisible and therefore
unusable. So we automatically disable scroll bars and rely on our built in
panning on those systems.

But we didn't actually detect Android and iOS. Instead we took a short cut and
detected touch support and assumed that meant a mobile platform. But a standard
Windows machine can also support touch, so that assumption was flawed.

This has been fixed upstream:

https://github.com/novnc/noVNC/issues/1172
------- Comment #1 From cendio 2019-10-10 15:28:36 -------
The panning icon is showing on the toolbar on Windows touch devices. Windows
touch devices don't have support for panning. Right now, the icon is just
grayed out but it's still showing. This icon should be removed.
------- Comment #2 From cendio 2019-10-14 10:13:29 -------
Note that this change also means that you no longer can pan using a touch drag
on Windows devices.

It would be nice to support both touch drag panning and scroll bars at the same
time, but it is not realistic right now as adding a setting or supporting both
simultaneously is a lot of work. As such we have to pick one, and for now we're
picking scroll bars.

Also note that this scenario should be rare for most ThinLinc users as we
always try to resize the session so that no panning is needed.
------- Comment #3 From cendio 2019-10-21 14:25:18 -------
(In reply to comment #1)
> The panning icon is showing on the toolbar on Windows touch devices. Windows
> touch devices don't have support for panning. Right now, the icon is just
> grayed out but it's still showing. This icon should be removed.

Fixed in upstream:

https://github.com/novnc/noVNC/commit/f2d42dc3577d921ac8f51c029729b3fca275c483
------- Comment #5 From cendio 2019-10-21 17:17:40 -------
Verified that the scroll bars are there and the panning icon is gone on Windows
10 touch for:

 * Chrome 77
 * Firefox 66
 * Internet Explorer 11
 * Edge 18
------- Comment #7 From cendio 2019-10-22 14:00:04 -------
Release notes looks good!(In reply to comment #5)
> Verified that the scroll bars are there and the panning icon is gone on Windows
> 10 touch for:
> 
>  * Chrome 77
>  * Firefox 66
>  * Internet Explorer 11
>  * Edge 18

You also tested on Android and iOS that the scroll bars are gone and that the
panning still works.

Also, release notes looks good!